﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using RChilli;
public partial class Details : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        String type = Request.QueryString["type"];
        String fileName = Request.QueryString["filename"];
        if (type == null) type = "";
        if (fileName == null) fileName = "";
        String ErrorCode = "";
        String ErrorMessage = "";
        
        String outputFilePath= Server.MapPath("~")+"/json/"+fileName+".json";
        if(File.Exists(outputFilePath))
        {
            StringBuilder sbHtml = new StringBuilder();
            String OutPutJson = File.ReadAllText(outputFilePath);
            RChilliParser rchilliParser = new RChilliParser();
            RChilliObject rchilliObj=rchilliParser.ProcessJsonOutput(OutPutJson);
            if (type.ToLower().Equals("html"))
            {
                try
                {
                    if (!rchilliParser.isError)
                    {

                        ResumeParserData objRchilli = rchilliObj.RChillIBulkUpload.ResumeParserData;

                        String image = objRchilli.CandidateImage.CandidateImageData;

                        if (image.Length > 0)
                        {
                            image = "<img style='height:100px; width:100px;' src='data:image/" + objRchilli.CandidateImage.CandidateImageFormat + ";base64," + image + "'/>";
                        }

                        //get all values from rchilli object


                       
                        
                        sbHtml.Append("<table width='100%' >");
                        sbHtml.Append("<tr><td><b>Full Name : </b></td><td>" + objRchilli.Name.FullName + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Title Name : </b></td><td>" + objRchilli.Name.TitleName + "</td></tr>");
                        sbHtml.Append("<tr><td><b>First Name : </b></td><td>" + objRchilli.Name.FirstName + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Middle Name : </b></td><td>" + objRchilli.Name.MiddleName + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Last Name : </b></td><td>" + objRchilli.Name.LastName + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Formatted Name : </b></td><td>" + objRchilli.Name.FormattedName + "</td></tr>");

                        List<Email> emails = objRchilli.Email;
                        StringBuilder sb = new StringBuilder();
                        foreach (Email email in emails)
                        {
                            sb.Append(email.EmailAddress + ",");
                        }
                        sbHtml.Append("<tr><td><b>Email : </b></td><td>" + sb.ToString() + "</td></tr>");

                        List<PhoneNumber> PhoneNumbers = objRchilli.PhoneNumber;
                        sb.Clear();
                        foreach (PhoneNumber phoneNumber in PhoneNumbers)
                        {
                            sbHtml.Append("<tr><td><b>" + phoneNumber.Type + " : </b></td><td>" + phoneNumber.FormattedNumber + "(" + phoneNumber.ISDCode + "/" + phoneNumber.OriginalNumber + ") </td></tr>");
                        }



                        List<Address> addresses = objRchilli.Address;
                        if (addresses.Count > 0)
                        {
                            foreach (Address address in addresses)
                            {
                                sbHtml.Append("<tr><td><b>" + address.Type + " Address  </b></td><td></td></tr>");
                                sbHtml.Append("<tr><td><b>Address : </b></td><td>" + address.Street + "</td></tr>");
                                sbHtml.Append("<tr><td><b>City : </b></td><td>" + address.City + "</td></tr>");
                                sbHtml.Append("<tr><td><b>State : </b></td><td>" + address.State + "(" + address.StateIsoCode + ")</td></tr>");

                                sbHtml.Append("<tr><td><b>Country : </b></td><td>" + address.Country + "</td></tr>");
                                if (address.CountryCode.IsoAlpha2.Length > 0)
                                {
                                    sbHtml.Append("<tr><td><b>CountryCodes : </b></td><td>" + address.CountryCode.IsoAlpha2 + "/" + address.CountryCode.IsoAlpha3 + "/" + address.CountryCode.UNCode + "</td></tr>");
                                }
                                sbHtml.Append("<tr><td><b>Zip Code : </b></td><td>" + address.ZipCode + "</td></tr>");

                            }
                        }


                        //sbHtml.Append("<tr><td><b>Formatted Phone : </b></td><td>" + objRchilli.FormattedPhone + "</td></tr>");
                        //sbHtml.Append("<tr><td><b>Formatted Mobile : </b></td><td>" + objRchilli.FormattedMobile + "</td></tr>");
                        //sbHtml.Append("<tr><td><b>Formatted Address : </b></td><td>" + objRchilli.FormattedAddress + "</td></tr>");
                        sbHtml.Append("</table>");
                      
                        sbHtml.Append("<table width=100%>");
                        sbHtml.Append("<tr><td><b>Date Of Birth : </b></td><td>" + objRchilli.DateOfBirth + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Gender : </b></td><td>" + objRchilli.Gender + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Nationality : </b></td><td>" + objRchilli.Nationality + "</td></tr>");
                        sbHtml.Append("<tr><td><b>MaritalStatus : </b></td><td>" + objRchilli.MaritalStatus + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Father Name : </b></td><td>" + objRchilli.FatherName + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Mother Name : </b></td><td>" + objRchilli.MotherName + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Current Salary  : </b></td><td>" + objRchilli.CurrentSalary.Symbol + " " + objRchilli.CurrentSalary.Amount + "(" + objRchilli.CurrentSalary.Currency + ")/" + objRchilli.CurrentSalary.Unit + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Expected Salary : </b></td><td>" + objRchilli.ExpectedSalary.Symbol + " " + objRchilli.ExpectedSalary.Amount + "(" + objRchilli.ExpectedSalary.Currency + ")/" + objRchilli.ExpectedSalary.Unit + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Passport No. : </b></td><td>" + objRchilli.PassportDetail.PassportNumber + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Date Of Issue : </b></td><td>" + objRchilli.PassportDetail.DateOfIssue + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Date Of Expiry : </b></td><td>" + objRchilli.PassportDetail.DateOfExpiry + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Place Of Issue : </b></td><td>" + objRchilli.PassportDetail.PlaceOfIssue + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Unique ID : </b></td><td>" + objRchilli.UniqueID + "</td></tr>");
                        sbHtml.Append("<tr><td><b>License No. : </b></td><td>" + objRchilli.LicenseNo + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Visa Status : </b></td><td>" + objRchilli.VisaStatus + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Current Location : </b></td><td></td></tr>");
                        List<CurrentLocation> currentLocations = objRchilli.CurrentLocation;
                        foreach (CurrentLocation currentLocation in currentLocations)
                        {
                            sbHtml.Append("<tr><td><b>City : </b></td><td>" + currentLocation.City + "</td></tr>");
                            sbHtml.Append("<tr><td><b>State : </b></td><td>" + currentLocation.State + "(" + currentLocation.StateIsoCode + ")</td></tr>");
                            sbHtml.Append("<tr><td><b>Country : </b></td><td>" + currentLocation.Country + "</td></tr>");
                        }
                        sbHtml.Append("<tr><td><b>Preferred Location : </b></td><td></td></tr>");
                        List<PreferredLocation> preferredLocations = objRchilli.PreferredLocation;
                        foreach (PreferredLocation preferredLocation in preferredLocations)
                        {
                            sbHtml.Append("<tr><td><b>City : </b></td><td>" + preferredLocation.City + "</td></tr>");
                            sbHtml.Append("<tr><td><b>State : </b></td><td>" + preferredLocation.State + "(" + preferredLocation.StateIsoCode + ")</td></tr>");
                            sbHtml.Append("<tr><td><b>Country : </b></td><td>" + preferredLocation.Country + "</td></tr>");
                        }

                   
                    

                        List<WebSite> website = objRchilli.WebSite;
                        if (website != null)
                        {


                            for (int i = 0; i < website.Count; i++)
                            {
                                sbHtml.Append("<tr><td><b>WebSite: Type : " + website[i].Type + ": </b></td><td><a href='" + website[i].Url + "' target='_blank'>" + website[i].Url + "</a></td></tr>");
                            }
                        }
                        sbHtml.Append("</table>");

                        sbHtml.Append("<b>--------------EmailInfo-----------------</b><br/>");


                        sbHtml.Append("EmailTo : " + objRchilli.EmailInfo.EmailTo + "<br/>");
                        sbHtml.Append("EmailFrom : " + objRchilli.EmailInfo.EmailFrom + "<br/>");
                        sbHtml.Append("DeliveredTo : " + objRchilli.EmailInfo.EmailDeliveredTo + "<br/>");
                        sbHtml.Append("EmailSubject : " + objRchilli.EmailInfo.EmailSubject + "<br/>");
                        sbHtml.Append("EmailBody : " + objRchilli.EmailInfo.EmailBody + "<br/>");

                        sbHtml.Append("<br/>");

                        sbHtml.Append("<br/>");
                        sbHtml.Append("<b>--------------Education-----------------</b>");
                        sbHtml.Append("<br/>");

                        sbHtml.Append("<table width='100%'> ");
                        List<SegregatedQualification> segQualif = objRchilli.SegregatedQualification;
                        if (segQualif != null)
                        {

                            for (int i = 0; i < segQualif.Count; i++)
                            {
                                sbHtml.Append("<tr><td colspan='2' align='center'><b>Qualification:-" + (i + 1) + "</b></td></tr>");

                                if (segQualif[i].Institution != null)
                                {
                                    if (!segQualif[i].Institution.Name.Equals(""))
                                    {
                                        sbHtml.Append("<tr><td><b>InstitutionName:-</b></td><td>" + segQualif[i].Institution.Name + "<sub>" + segQualif[i].Institution.Type + "</sub></td></tr>");
                                        sbHtml.Append("<tr><td><b>InstitutionLocation:-</b></td><td>" + segQualif[i].Institution.Location.City + ", " + segQualif[i].Institution.Location.State + "<sub>" + segQualif[i].Institution.Location.StateIsoCode + " </sub >, " + segQualif[i].Institution.Location.Country + "</td></tr>");
                                    }
                                }
                                if (segQualif[i].SubInstitution != null)
                                {
                                    if (!segQualif[i].SubInstitution.Name.Equals(""))
                                    {
                                        sbHtml.Append("<tr><td><b>SubInstitutionName:-</b></td><td>" + segQualif[i].SubInstitution.Name + "<sub>" + segQualif[i].SubInstitution.Type + "</sub></td></tr>");
                                        sbHtml.Append("<tr><td><b>SubInstitutionLocation:-</b></td><td>" + segQualif[i].Institution.Location.City + ", " + segQualif[i].Institution.Location.State + "<sub>" + segQualif[i].Institution.Location.StateIsoCode + " </sub >, " + segQualif[i].Institution.Location.Country + "</td></tr>");
                                    }
                                }
                                sb.Clear();
                                foreach (String spl in segQualif[i].Degree.Specialization)
                                {
                                    sb.Append(spl + ",");
                                }
                                sbHtml.Append("<tr><td><b>Degree:-</b></td><td>" + segQualif[i].Degree.DegreeName + "(" + segQualif[i].Degree.NormalizeDegree + ")" + "</td></tr>");
                                sbHtml.Append("<tr><td><b>Specialization:-</b></td><td>" + sb.ToString() + "</td></tr>");
                                sbHtml.Append("<tr><td><b>FromattedDegreePeriod:-</b></td><td>" + segQualif[i].FormattedDegreePeriod + "</td></tr>");
                                sbHtml.Append("<tr><td><b>StartDate:-</b></td><td>" + segQualif[i].StartDate + "</td></tr>");
                                sbHtml.Append("<tr><td><b>EndDate:-</b></td><td>" + segQualif[i].EndDate + "</td></tr>");
                                if (segQualif[i].Aggregate != null)
                                {
                                    sbHtml.Append("<tr><td><b>Aggregate:-</b></td><td><sub>" + segQualif[i].Aggregate.MeasureType + "</sub>" + segQualif[i].Aggregate.Value + "</td></tr>");
                                }
                                sbHtml.Append("<tr><td colspan='2'><hr/></td></tr>");
                            }

                            sbHtml.Append("<tr><td colspan=3><hr/></td></tr>");
                            sbHtml.Append("<tr><td><b>Qualification Text Block</b></td><td colspan='2'><textarea>" + objRchilli.Qualification + "</textarea></td></tr>");

                        }
                        sbHtml.Append("</table>");
                        sbHtml.Append("<br/>");
                        sbHtml.Append("<b>--------------Experience-----------------</b>");
                        sbHtml.Append("<br/>");
                        
                        sbHtml.Append("<table width='100%' style=\"empty-cells: show\">");

                        List<SegregatedExperience> segExperience = objRchilli.SegregatedExperience;
                        if (segExperience != null)
                        {

                            for (int i = 0; i < segExperience.Count; i++)
                            {
                                sbHtml.Append("<tr><td colspan='2' align='center'><b>Experice:-" + (i + 1) + "</b></td></tr>");
                                sbHtml.Append("<tr><td><b>Employer:-</b></td><td>" + segExperience[i].Employer.EmployerName + "</td></tr>");
                                sbHtml.Append("<tr><td><b>JobProfile:-</b></td><td>" + segExperience[i].JobProfile.Title + "</td></tr>");




                                sbHtml.Append("<tr><td><b>JobLocation:-</b></td><td>" + segExperience[i].Location.City + "," + segExperience[i].Location.State + "<sub>" + segExperience[i].Location.StateIsoCode + " </sub >  , " + segExperience[i].Location.Country + "<sub>" + segExperience[i].Location.CountryCode.IsoAlpha2 + "</sub></td></tr>");
                                sbHtml.Append("<tr><td><b>FromattedJobPeriod:-</b></td><td>" + segExperience[i].FormattedJobPeriod + "</td></tr>");
                                sbHtml.Append("<tr><td><b>JobPeriod:-</b></td><td>" + segExperience[i].JobPeriod + "</td></tr>");
                                sbHtml.Append("<tr><td><b>StartDate:-</b></td><td>" + segExperience[i].StartDate + "</td></tr>");
                                sbHtml.Append("<tr><td><b>EndDate:-</b></td><td>" + segExperience[i].EndDate + "</td></tr>");
                                sbHtml.Append("<tr><td><b>JobDescription:-</b></td><td><textarea>" + segExperience[i].JobDescription + "</textarea></td></tr>");
                                StringBuilder sbProject = new StringBuilder();
                                sbProject.Append("<table>");
                                sbProject.Append("<tr><td>Sr.No.</td><td><b>Project Name</b></td><td><b>Used Skills</b></td><td><b>Team Size</b></td>");

                                List<Project> project = segExperience[i].Projects;
                                for (int j = 0; j < project.Count; j++)
                                {
                                    sbProject.Append("<tr><td>" + (j + 1) + "</td><td>" + project[j].ProjectName + "</td><td>" + project[j].UsedSkills + "</td><td>" + project[j].TeamSize + "</td>");
                                }
                                sbProject.Append("</table>");
                                sbHtml.Append("<tr><td colspan='2'><b>" + (i + 1) + ". Projects:-&nbsp;<a href='#' class='projectCss' id='" + (i + 1) + "'>ViewProjects<b></td></tr>");
                                sbHtml.Append("<tr><td colspan='2'><div style='display:none;width:90%;' id='divProject" + (i + 1) + "'>" + sbProject + "</div></td></tr>");
                                sbHtml.Append("<tr><td colspan='2'><hr/></td></tr>");
                            }
                            sbHtml.Append("<tr><td><b>Experience Text Block</b></td><td colspan='2'><textarea>" + objRchilli.Experience + "</textarea></td></tr>");
                        }
                        sbHtml.Append("</table>");
                        sbHtml.Append("<br/>");
                        sbHtml.Append("<b>--------------Skills-----------------</b>");
                        sbHtml.Append("<br/>");

                        List<SegregatedSkill> skillKeyword = objRchilli.SegregatedSkill;




                        
                        sbHtml.Append("<table width='100%' >");
                        if (skillKeyword != null)
                        {

                            sbHtml.Append("<tr><td><b>Skill</b></td><td><b>Exp.InMonth</b></td><td><b>LastUsed</b></td><td><b>FormattedName</b></td><td><b>Alias</b></td></tr>");
                            foreach (SegregatedSkill skill in skillKeyword)
                            {
                                sbHtml.Append("<tr><td>" + skill.Skill + "<sub>" + skill.Evidence + "</sub></td><td>" + skill.ExperienceInMonths + "</td><td>" + skill.LastUsed + "</td><td>" + skill.FormattedName + "</td><td>" + skill.Alias + "</td></tr>");
                            }
                            sbHtml.Append("<tr><td><b>Skill Text Block</b></td><td colspan='4'><textarea>" + objRchilli.SkillBlock + "</textarea></td></tr>");
                        }
                        sbHtml.Append("</table>");
                        sbHtml.Append("<br/>");
                        sbHtml.Append("<b>--------------Others-----------------</b>");
                        sbHtml.Append("<br/>");

                        
                        sbHtml.Append("<table width=100%>");
                        sbHtml.Append("<tr><td><b>Resume File Name : </b></td><td>" + objRchilli.ResumeFileName + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Resume Language : </b></td><td>" + objRchilli.ResumeLanguage.Language + "(" + objRchilli.ResumeLanguage.LanguageCode + ")</td></tr>");
                        sbHtml.Append("<tr><td><b>Parsing Date : </b></td><td>" + objRchilli.ParsingDate + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Category : </b></td><td>" + objRchilli.Category + "</td></tr>");
                        sbHtml.Append("<tr><td><b>SubCategory : </b></td><td>" + objRchilli.SubCategory + "</td></tr>");

                        List<LanguageKnown> languageKnowns = objRchilli.LanguageKnown;
                        sb.Clear();
                        foreach (LanguageKnown languageKnown in languageKnowns)
                        {
                            sb.Append(languageKnown.Language + "(" + languageKnown.LanguageCode + "),");
                        }


                        sbHtml.Append("<tr><td><b>Language Known : </b></td><td>" + sb.ToString() + "</td></tr>");

                        WorkedPeriod workPeriod = objRchilli.WorkedPeriod;
                        if (workPeriod != null)
                        {
                            sbHtml.Append("<tr><td><b>Worked Period in Month: </b></td><td>" + workPeriod.TotalExperienceInMonths + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Worked Period in Year: </b></td><td>" + workPeriod.TotalExperienceInYear + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Worked Period Range: </b></td><td>" + workPeriod.TotalExperienceRange + "</td></tr>");
                        }




                        sbHtml.Append("<tr><td><b>Gap Period  : </b></td><td>" + objRchilli.GapPeriod + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Average Stay  : </b></td><td>" + objRchilli.AverageStay + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Longest Stay  : </b></td><td>" + objRchilli.LongestStay + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Summary  : </b></td><td><textarea>" + objRchilli.Summary + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>ExecutiveSummary  : </b></td><td><textarea>" + objRchilli.ExecutiveSummary + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>ManagementSummary  : </b></td><td><textarea>" + objRchilli.ManagementSummary + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>Availability  : </b></td><td>" + objRchilli.Availability + "</td></tr>");
                        sbHtml.Append("<tr><td><b>Cover Letter	 : </b></td><td><textarea>" + objRchilli.Coverletter + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>Certification : </b></td><td><textarea>" + objRchilli.Certification + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>SegregatedCertification : </b></td><td></td></tr>");

                        foreach (SegregatedCertification segCertification in objRchilli.SegregatedCertification)
                        {
                            sbHtml.Append("<tr><td><b>Certification Title : </b></td><td>" + segCertification.CertificationTitle + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Certification Code : </b></td><td>" + segCertification.CertificationCode + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Certification Url : </b></td><td>" + segCertification.CertificationUrl + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Authority : </b></td><td>" + segCertification.Authority + "</td></tr>");
                            sbHtml.Append("<tr><td><b>StartDate : </b></td><td>" + segCertification.StartDate + "</td></tr>");
                            sbHtml.Append("<tr><td><b>EndDate : </b></td><td>" + segCertification.EndDate + "</td></tr>");
                            sbHtml.Append("<tr><td><b>IsExpiry : </b></td><td>" + segCertification.IsExpiry + "</td></tr>");
                            sbHtml.Append("<tr><td colspan='2'><hr/></td></tr>");
                        }

                        sbHtml.Append("<tr><td><b>Publication : </b></td><td><textarea>" + objRchilli.Publication + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>SegregatedPublication : </b></td><td></td></tr>");

                        foreach (SegregatedPublication segPublication in objRchilli.SegregatedPublication)
                        {
                            sbHtml.Append("<tr><td><b>Publication Title : </b></td><td>" + segPublication.PublicationTitle + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Publication Number : </b></td><td>" + segPublication.PublicationNumber + "</td></tr>");
                            sbHtml.Append("<tr><td><b>PublicationUrl  : </b></td><td>" + segPublication.PublicationUrl + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Publisher : </b></td><td>" + segPublication.Publisher + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Authors : </b></td><td>" + segPublication.Authors + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Description : </b></td><td><textarea>" + segPublication.Description + "</textarea></td></tr>");
                            sbHtml.Append("<tr><td colspan='2'><hr/></td></tr>");
                        }
                        sbHtml.Append("<tr><td><b>Hobbies : </b></td><td><textarea>" + objRchilli.Hobbies + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>Objectives : </b></td><td><textarea>" + objRchilli.Objectives + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>Achievements : </b></td><td><textarea>" + objRchilli.Achievements + "</textarea></td></tr>");

                        foreach (SegregatedAchievement segAchievement in objRchilli.SegregatedAchievement)
                        {
                            sbHtml.Append("<tr><td><b>Award Title : </b></td><td>" + segAchievement.AwardTitle + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Associated With : </b></td><td>" + segAchievement.AssociatedWith + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Issuer : </b></td><td>" + segAchievement.Issuer + "</td></tr>");
                            sbHtml.Append("<tr><td><b>Issuing Date : </b></td><td>" + segAchievement.IssuingDate + "</td></tr>");

                            sbHtml.Append("<tr><td><b>Description : </b></td><td><textarea>" + segAchievement.Description + "</textarea></td></tr>");
                            sbHtml.Append("<tr><td colspan='2'><hr/></td></tr>");
                        }

                        sbHtml.Append("<tr><td><b>References   : </b></td><td><textarea>" + objRchilli.References + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>Detail Resume   : </b></td><td><textarea>" + objRchilli.DetailResume + "</textarea></td></tr>");
                        sbHtml.Append("<tr><td><b>Html Resume   : </b></td><td><textarea>" + objRchilli.HtmlResume + "</textarea></td></tr>");
                        sbHtml.Append("</table>");
                    }
                }
                catch { }
                html.Text = sbHtml.ToString();




            }
            else if (type.ToLower().Equals("resume"))
            {
                Response.AddHeader("Content-disposition", "attachment; filename=\"" + rchilliObj.RChillIBulkUpload.FileName + "\"");
                Response.AddHeader("Cache-Control", "no-cache");
                Response.AddHeader("Expires", "-1");
                // actually send result bytes
                byte[] data = Convert.FromBase64String(rchilliObj.RChillIBulkUpload.Base64Data);
                 Response.OutputStream.Write(data,0,data.Length);
                return;
            }
        }


    


    }
}